#		%Z% %M% %I% %D% %T%
#
#
# ロードモジュール名

SRC	= .
OBJ	= .
INCLUDE	= .

LOAD = /home/cms/exe/wsubform
INCLUDE = /home/cms/fusr/libsubformHTML

CC	= gcc

# for Debug

CFLAGS	= -O2 -g

LDEXE	= ./

LINTFLAGS = -x $(INC_OPT) $(CDEFS)

yubin_Fetch : yubin_Fetch.pgc
	ecpg yubin_Fetch.pgc
	gcc -ggdb -I/usr/local/pgsql/include -I$(INCLUDE) -c yubin_Fetch.c
	gcc -O2 -static -o yubin_Fetch.cgi yubin_Fetch.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm


hatake_Fetch : hatake_Fetch.pgc
	ecpg hatake_Fetch.pgc
	gcc -ggdb -I/usr/local/pgsql/include -I$(INCLUDE) -c hatake_Fetch.c
	gcc -O2 -static -o hatake_Fetch.fcgi hatake_Fetch.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

hatake_Update : hatake_Update.pgc
	ecpg hatake_Update.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c hatake_Update.c
	gcc -O2 -static -o hatake_Update.fcgi hatake_Update.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

nouka : nouka.pgc
	ecpg nouka.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c nouka.c
	gcc -O2 -static -o nouka.cgi nouka.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

nouka_Fetch : nouka_Fetch.pgc
	ecpg nouka_Fetch.pgc
	gcc -ggdb -I/usr/local/pgsql/include -I$(INCLUDE) -c nouka_Fetch.c
	gcc -O2 -static -o nouka_Fetch.fcgi nouka_Fetch.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

nouka_Fetch2 : nouka_Fetch2.pgc
	ecpg nouka_Fetch2.pgc
	gcc -ggdb -I/usr/local/pgsql/include -I$(INCLUDE) -c nouka_Fetch2.c
	gcc -O2 -static -o nouka_Fetch2.fcgi nouka_Fetch2.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

nouka_Fetch_New : nouka_Fetch_New.pgc
	ecpg nouka_Fetch_New.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c nouka_Fetch_New.c
	gcc -O2 -static -o nouka_Fetch_New.fcgi nouka_Fetch_New.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

nouka_Insert : nouka_Insert.pgc
	ecpg nouka_Insert.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -ggdb -c nouka_Insert.c
	gcc -O2 -static -o nouka_Insert.fcgi nouka_Insert.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

nouka_Update : nouka_Update.pgc
	ecpg nouka_Update.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c nouka_Update.c
	gcc -O2 -static -o nouka_Update.fcgi nouka_Update.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

nouka_Delete : nouka_Delete.pgc
	ecpg nouka_Delete.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c nouka_Delete.c
	gcc -O2 -static -o nouka_Delete.fcgi nouka_Delete.o ../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm -lfcgi

